@import url("https://fonts.googleapis.com/css2?family=Lexend:wght@400;600;700&display=swap");

:root {
  --color-main: #04ba4a;
  --color-text: #383a3f;
  --color-dark: #1f2124;
  --color-gray: #677;
  --color-bg: #f3f6f9;
  --color-light: #acb4bd;
  --color-lighter: #f9f9f9;
  --color-white: #fff;
  --color-border: #e0e3e6;
  --color-danger: #ba1c04;
}

.dark {
  --color-main: #04ba4a;
  --color-text: #d6d1d1;
  --color-dark: #f5f6f7;
  --color-gray: #999;
  --color-bg: #1f2124;
  --color-lighter: #292a2c;
  --color-white: #2e3235;
  --color-border: #252629;
  --color-danger: #ba1c04;
}

/* BASE STYLES */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Lexend", sans-serif;
  color: inherit;
  font-size: inherit;
  scroll-behavior: smooth;
}

body {
  line-height: 1.8em;
  font-weight: 400;
  font-size: 16px;
}

a {
  text-decoration: none;
}

/* APP STYLES */

.container {
  width: 100%;
  height: 100vh;
  color: var(--color-text);
  background-color: var(--color-bg);
  display: flex;
  align-items: center;
  transition: 1s;
}

.app {
  width: 100%;
  max-width: 480px;
  height: 88vh;
  margin: 0 auto;
  background-color: var(--color-white);
  box-shadow: 1px 1px 6px rgba(0, 0, 0, 0.05);
  position: relative;
}

.app-header {
  display: flex;
  align-items: center;
  padding: 16px;
  justify-content: space-between;
  background-color: var(--color-lighter);
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
}

.app-header h1 {
  font-size: 30px;
  color: var(--color-dark);
  font-weight: 800;
  text-align: center;
}

.app-header button {
  border: 0;
  background: transparent;
  cursor: pointer;
}

.app-header button > svg {
  fill: var(--color-dark);
  height: 25px;
  width: 25px;
  object-fit: cover;
}

.app-body {
  padding: 16px;
}

/* NOTES STYLES */

.notes-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 16px;
}

.notes-title,
.notes-count {
  color: var(--color-main);
  font-size: 24px;
  font-weight: 600;
}

.notes-title {
  display: flex;
  align-items: center;
  gap: 4px;
}

.notes-count {
  font-size: 18px;
  color: var(--color-gray);
}

.notes-list {
  padding: 0;
  margin: 16px 0;
  height: 70vh;
  overflow-y: auto;
  scrollbar-width: none; /* Firefox */
}

.notes-list::-webkit-scrollbar {
  display: none;
}

.notes-list-item {
  border-bottom: 1px solid var(--color-border);
  padding: 8px 16px;
  /* transition: all 0.2s ease-in-out; */
}

.notes-list-item:hover {
  background-color: var(--color-bg);
  cursor: pointer;
}

.notes-list-item h3,
.notes-list-item p span {
  font-weight: 600;
}

.notes-list-item h3,
.notes-list-item p {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.notes-list-item p span {
  color: var(--color-gray);
  display: inline-block;
  margin-right: 8px;
}

.notes-list-item p {
  font-size: 14px;
  color: var(--color-light);
}

.floating-button {
  font-size: 48px;
  position: absolute;
  bottom: 24px;
  right: 16px;
  background: var(--color-main);
  border: none;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.2);
}

.floating-button > svg {
  fill: var(--color-bg);
}

/* NOTE STYLES */

.note-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--color-main);
  padding: 10px;
}

.note-header h3 {
  display: flex;
  align-items: center;
  font-size: 24px;
  cursor: pointer;
}

.note-header h3 svg {
  fill: var(--color-main);
  width: 20px;
  margin-right: 8px;
}

.note-header button {
  border: none;
  outline: none;
  font-weight: 600;
  background-color: transparent;
  font-size: 18px;
  cursor: pointer;
}

.delete-btn {
  color: var(--color-main);
  transition: 0.2s;
}

.delete-btn:hover {
  color: var(--color-danger);
}

.note textarea {
  background-color: var(--color-white);
  border: none;
  padding: 16px 12px;
  width: 100%;
  height: 70vh;
  resize: none;
  scrollbar-width: none; /* Firefox */
}

.note textarea:active,
.note textarea:focus {
  outline: none;
  border: none;
}

.note textarea::-webkit-scrollbar {
  display: none;
}

.search-bar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  font-size: 1.4rem;
  margin-top: 1rem;
}

.search-area {
  background-color: #04ba4a00;
  resize: none;
  box-sizing: border-box;
  border: 0.2rem solid var(--color-text);
  border-radius: 8rem;
  width: 80%;
  font-size: 1rem;
  padding: 8px 0 8px 10px;
}

.search-area:focus-visible {
  outline: none !important;
  background-color: var(--color-bg);
}

.night-mode-button {
  position: absolute;
  top: 0;
  right: 0;
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  border: none;
  background-color: var(--color-main);
  color: var(--color-dark);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.2);
  margin: 0.5rem;
  font-size: 2rem;
  transition: 0.2s;
}
.night-mode-button:hover {
  background-color: var(--color-dark);
  color: #04ba4a;
}

.delete-modal-open {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 1rem;
  text-align: center;
  gap: 1rem;
  position: fixed;
  width: 40vw;
  height: 30vh;
  border-radius: 2rem;
  background-color: var(--color-lighter);
  font-size: 3.5vh;
  color: var(--color-dark);
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.2);
}

.delete-modal-open button {
  width: 20vw;
  height: 5vh;
  border-radius: 1rem;
  color: var(--color-dark);
  transition: 0.2s;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.2);
  font-size: 3vh;
}
#cancel-button {
  background-color: var(--color-white);
}

#cancel-button:hover {
  background-color: var(--color-bg);
}

#sure-button {
  background-color: var(--color-main);
}

#sure-button:hover {
  background-color: var(--color-danger);
}
